Bug 1691045 - Rebase OpenSSH to latest release (8.0p1?)
Summary: Rebase OpenSSH to latest release (8.0p1?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openssh
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Jakub Jelen
QA Contact: Ondrej Moriš
Mirek Jahoda
URL:
Whiteboard:
: 1638260 (view as bug list)
Depends On:
Blocks: 1701002
TreeView+ depends on / blocked
 
Reported: 2019-03-20 17:36 UTC by Jakub Jelen
Modified: 2019-11-05 22:42 UTC (History)
6 users (show)

Fixed In Version: openssh-8.0p1-2.el8
Doc Type: Enhancement
Doc Text:
.*OpenSSH* rebased to 8.0p1 The `openssh` packages have been upgraded to upstream version 8.0p1, which provides many bug fixes and enhancements over the previous version, most notably: * Increased default RSA key size to 3072 bits for the `ssh-keygen` tool * Removed support for the `ShowPatchLevel` configuration option * Applied numerous GSSAPI key exchange code fixes, such as the fix of Kerberos cleanup procedures * Removed fall back to the `sshd_net_t` SELinux context * Added support for `Match final` blocks * Fixed minor issues in the `ssh-copy-id` command * Fixed Common Vulnerabilities and Exposures (CVE) related to the `scp` utility (CVE-2019-6111, CVE-2018-20685, CVE-2019-6109) Note, that this release introduces minor incompatibility of `scp` as mitigation of CVE-2019-6111. If your scripts depend on advanced bash expansions of the path during an scp download, you can use the `-T` switch to turn off these mitigations temporarily when connecting to trusted servers.
Clone Of:
Environment:
Last Closed: 2019-11-05 22:41:32 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3702 None None None 2019-11-05 22:42:00 UTC

Comment 1 Stanislav Zidek 2019-04-09 12:41:03 UTC
*** Bug 1638260 has been marked as a duplicate of this bug. ***

Comment 8 Jakub Jelen 2019-07-22 07:31:10 UTC
I fixed the missing items in the doc text (The option was wrongly named. It was actually called ShowPatchLevel.

Comment 14 errata-xmlrpc 2019-11-05 22:41:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3702


Note You need to log in before you can comment on or make changes to this bug.